function C = micca_fastcorr(X,Y)
%
% C = micca_fastcorr(X,Y)
%
%
if(nargin<2)
  [T N] = size(X);
  for i = 1:N
    X(:,i) = X(:,i) - mean(X(:,i));
  end
  C = (X'*X);
  X = sqrt(sum(X.^2));
  C = C./(X'*X);
else
  [T N] = size(X);
  for i = 1:N
    X(:,i) = X(:,i) - mean(X(:,i));
  end
  [T N] = size(Y);
  for i = 1:N
    Y(:,i) = Y(:,i) - mean(Y(:,i));
  end
  C = (X'*Y);
  X = sqrt(sum(X.^2));
  Y = sqrt(sum(Y.^2));
  C = C./(X'*Y);
end
